Accounts & connections · Accounts
Checks accounts health.
GET
https://api.pozy.ai/v1/accounts/healthgetAllAccountsHealth
Guides: Connecting accounts, Account health, Scopes and permissions
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
profileId | string | |
platform | string | One of facebook, instagram, linkedin, twitter, tiktok, youtube, threads, pinterest, reddit, bluesky, googlebusiness, telegram, snapchat, discord, slack, whatsapp, shopify, wordpress, wix, linkedinads, metaads, pinterestads, tiktokads, xads, googleads, openaiads, redditads, whopads, hubspot, webflow, and more |
status | string | One of healthy, warning, error |
Example
curl -X GET "https://api.pozy.ai/v1/accounts/health" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/accounts/health", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/accounts/health",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
summaryobjecttotalintegerhealthyintegerwarningintegererrorintegerneedsReconnectinteger
accountsarray of object18 child fields
accountIdstringplatformstringusernamestringdisplayNamestringprofileIdstringstatusstringOne of
healthy,warning,error.canPostbooleancanFetchAnalyticsbooleantokenValidbooleantokenExpiresAtstring (date-time)needsReconnectbooleanissuesarray of stringownerUserIdstringdisconnectReasonstringCan be null.
disconnectionTypestringOne of
intentional,unintentional. Can be null.unhealthySincestring (date-time)Can be null.
analyticsSyncobject2 child fields
statusstringOne of
ok,failing,stalled,never_synced.lastSyncedAtstring (date-time)Can be null.
messagingRestrictionobjectCan be null.
6 child fields
codeintegerCan be null.
subcodeintegerCan be null.
messagestringCan be null.
firstSeenAtstring (date-time)lastSeenAtstring (date-time)pausedUntilstring (date-time)Can be null.
200 response
{
"summary": {
"total": 42,
"healthy": 1,
"warning": 1,
"error": 1,
"needsReconnect": 1
},
"accounts": [
{
"accountId": "696e0b682d0a31188e7a2ba9",
"platform": "instagram",
"username": "acme",
"displayName": "Acme",
"profileId": "6a0b6573846efc28aaa9a3ff",
"status": "healthy",
"canPost": true,
"canFetchAnalytics": true,
"tokenValid": true,
"tokenExpiresAt": "2026-10-02T09:00:00.000Z",
"needsReconnect": true,
"issues": [
"string"
],
"ownerUserId": "690c200e58fe030fdf30059f",
"disconnectReason": "string",
"disconnectionType": "intentional",
"unhealthySince": "2026-10-02T09:00:00.000Z",
"analyticsSync": {
"status": "ok",
"lastSyncedAt": "2026-10-02T09:00:00.000Z"
},
"messagingRestriction": {
"code": 1,
"subcode": 1,
"message": "Hello from Pozy",
"firstSeenAt": "2026-10-02T09:00:00.000Z",
"lastSeenAt": "2026-10-02T09:00:00.000Z",
"pausedUntil": "2026-10-02T09:00:00.000Z"
}
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Accounts
GETList accountsGETGet follower statsPUTUpdate accountPATCHMove account to another profileDELDisconnect accountGETCheck account healthGETList posts published on the platformGETCheck whether an Instagram user follows the accountGETList trending commercial musicGETSearch TikTok location tagsGETGet TikTok creator infoGETList partner businesses of the PagePOSTShare the Page with a partner businessDELRevoke a partner business from the PageGETGet HubSpot account settingsPATCHUpdate HubSpot account settingsGETGet Slack account settingsPATCHUpdate Slack account settingsGETGet Bluesky account settingsPATCHUpdate Bluesky account settings